#pragma once

#include "CoreMinimal.h"
#include "AnimEffectHandler.h"
#include "CosmeticHelperActorAnimEffectHandler.generated.h"

class AActor;

UCLASS(Blueprintable)
class DBDCOSMETIC_API UCosmeticHelperActorAnimEffectHandler : public UAnimEffectHandler
{
	GENERATED_BODY()

protected:
	UFUNCTION(BlueprintPure)
	bool NativeHandleAnimNotify(AActor* player, const FName& notifyName) const;

public:
	UCosmeticHelperActorAnimEffectHandler();
};

FORCEINLINE uint32 GetTypeHash(const UCosmeticHelperActorAnimEffectHandler) { return 0; }
